Table of Contents

Class: oval | ../bkchem/graphics.py
--- | ---
Base Classes |
--- | ---
vector_graphics_item meta_enabled drawable interactive with_line top_level
Methods |
--- | ---
__init__ draw get_package read_package redraw
| __init__
    __init__ (
            self,
            paper,
            coords=(),
            package=None,
            )
| draw
    draw ( self )
| get_package
    get_package ( self,  doc )
returns a DOM element describing the object in CDML, doc is the parent document which is used for element creation (the returned element is not inserted into the document)
| read_package
    read_package ( self,  pack )
reads the dom element pack and sets internal state according to it
| redraw
    redraw ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1